body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    color: #333;
    text-align: center;
    margin: 0;
    padding: 0;
    text-transform: lowercase;
}

.container {
    width: 90%;
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
}

h1 {
    font-size: 24px;
    margin-bottom: 20px;
}

.main-image {
    width: 50%;
    height: auto;
    margin-bottom: 20px;
}

.posts {
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

.post {
    display: flex;
    align-items: center;
    background-color: #fff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    text-align: left;
    width: 100%;
    max-width: 500px;
    margin-bottom: 20px;
}

.post img {
    width: 30%;
    height: auto;
    max-height: 100px;
    border-radius: 10px;
    margin-right: 20px;
    object-fit: cover;
}

.post-content {
    display: flex;
    flex-direction: column;
    width: 70%;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    padding-top: 60px;
}

.modal-content {
    background-color: #fff;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 66.67%;
    max-width: 800px;
    border-radius: 10px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    position: relative;
}

.modal-content img {
    width: 50%;
    height: auto;
    border-radius: 10px;
    margin-right: 20px;
    object-fit: cover;
}

.modal-content div {
    width: 50%;
    display: flex;
    flex-direction: column;
}

.close {
    position: absolute;
    top: 10px;
    right: 10px;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
